# all files / ol/render/ replaygroup.js

100% Statements 4/4
100% Branches 0/0
33.33% Functions 1/3
100% Lines 4/4

    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15
    16
    17
    18
    19
    20
    21
    22
    23
    24
    25
    261×

    1×

    1×

    1×
     goog.provide('ol.render.ReplayGroup');

    /**
     * Base class for replay groups.
     * @constructor
     * @abstract
     */
    ol.render.ReplayGroup = function() {};

    /**
     * @abstract
     * @param {number|undefined} zIndex Z index.
     * @param {ol.render.ReplayType} replayType Replay type.
     * @return {ol.render.VectorContext} Replay.
     */
    ol.render.ReplayGroup.prototype.getReplay = function(zIndex, replayType) {};

    /**
     * @abstract
     * @return {boolean} Is empty.
     */
    ol.render.ReplayGroup.prototype.isEmpty = function() {};